Loading...
Searching...
No Matches
ThreadsafeException.h File Reference
Base

Base exception type that uses tbb_allocator if GTSAM is compiled with TBB. More...

Go to the source code of this file.

## Classes

class | gtsam::ThreadsafeException< DERIVED >
| Base exception type that uses tbb_allocator if GTSAM is compiled with TBB. More...
class | gtsam::RuntimeErrorThreadsafe
| Thread-safe runtime error exception. More...
class | gtsam::OutOfRangeThreadsafe
| Thread-safe out of range exception. More...
class | gtsam::InvalidArgumentThreadsafe
| Thread-safe invalid argument exception. More...
class | gtsam::CholeskyFailed
| Indicate Cholesky factorization failure. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Base exception type that uses tbb_allocator if GTSAM is compiled with TBB.

Author
  Richard Roberts

Date
  Aug 21, 2010